program main

implicit none

character(8) :: DATE    
write(*,*)
call date_and_time(DATE)
write(*,*) DATE(1:4)//'年'//DATE(5:6)//'月'//DATE(7:8)//'日実施'

write(*,*)
write(*,*)'単精度実数型種別値       : ', kind(0.0)
write(*,*)'単精度実数型基数         : ', radix(0.0)
write(*,*)'単精度実数型有効ビット数 : ', digits(0.0)
write(*,*)'単精度実数型10進精度     : ', precision(0.0)
write(*,*)'単精度実数型イプシロン   : ', epsilon(0.0)
write(*,*)'単精度実数型正最小値     : ', tiny(0.0)
write(*,*)'単精度実数型最大値       : ', huge(0.0)
write(*,*)'単精度実数型最大指数     : ', maxexponent(0.0)
write(*,*)'単精度実数型最小指数     : ', minexponent(0.0)
write(*,*)'単精度実数型10進指数範囲 : ', range(0.0)

end program main
